org.opencv.phase_unwrapping

## Class PhaseUnwrapping

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.phase_unwrapping.PhaseUnwrapping

- Direct Known Subclasses:
    HistogramPhaseUnwrapping

      public class PhaseUnwrapping
      extends Algorithm

  Abstract base class for phase unwrapping.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PhaseUnwrapping(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PhaseUnwrapping` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `void` | `unwrapPhaseMap(Mat wrappedPhaseMap, Mat unwrappedPhaseMap)` Unwraps a 2D phase map.
    `void` | `unwrapPhaseMap(Mat wrappedPhaseMap, Mat unwrappedPhaseMap, Mat shadowMask)` Unwraps a 2D phase map.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseUnwrapping

          protected PhaseUnwrapping(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static PhaseUnwrapping __fromPtr__(long addr)

    - #### unwrapPhaseMap

          public void unwrapPhaseMap(Mat wrappedPhaseMap,
                                     Mat unwrappedPhaseMap,
                                     Mat shadowMask)

      Unwraps a 2D phase map.
      Parameters:
        `wrappedPhaseMap` - The wrapped phase map that needs to be unwrapped.
        `unwrappedPhaseMap` - The unwrapped phase map.
        `shadowMask` - Optional parameter used when some pixels do not hold any phase information in the wrapped phase map.

    - #### unwrapPhaseMap

          public void unwrapPhaseMap(Mat wrappedPhaseMap,
                                     Mat unwrappedPhaseMap)

      Unwraps a 2D phase map.
      Parameters:
        `wrappedPhaseMap` - The wrapped phase map that needs to be unwrapped.
        `unwrappedPhaseMap` - The unwrapped phase map.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8